#ifndef IMAGEBUTTON_H
#define IMAGEBUTTON_H

#include <Button.h>
#include <Bitmap.h>
#include <Mime.h>
#include <Rect.h>
#include <Resources.h>
#include <String.h>

class ImageButton : public BButton
{
    public:

        ImageButton(BString imageName, float marginProportion = 0,
                    BMessage *message = NULL, const char* name = "im_button",
                    uint32 flags = B_FRAME_EVENTS | B_WILL_DRAW | B_NAVIGABLE |
                                                        B_FULL_UPDATE_ON_RESIZE);

        virtual void    Draw(BRect updateRect);

        virtual	void    FrameResized(float newWidth, float newHeight);

    private:

        BBitmap* _RescaleBitmap(const BBitmap* src, int32 width, int32 height);

        BString         fImageName;
        BBitmap*        fBitmap;
        BRect           fImageRect;
        float           fMarginProportion;

};

#endif
